REM this program reads a .HST file and alows you to do things with it..
REM But you gotta program it yourself...
REM Presently I used it to go back and change the symbol character on all the
REM vehicles in a .HST file

F$ = "MSBIKE.hst"


OPEN F$ FOR INPUT AS #1
OPEN "TEMP.out" FOR OUTPUT AS #2

DO UNTIL EOF(1)
  
   LINE INPUT #1, a$: PRINT a$
   IF LEFT$(a$, 9) = "KC4YMP-9 " THEN MID$(a$, 44, 1) = ">"
   IF LEFT$(a$, 9) = "GPSB     " THEN MID$(a$, 44, 1) = "B"
   IF LEFT$(a$, 9) = "W3ADO-9  " THEN MID$(a$, 44, 1) = "A"
   IF LEFT$(a$, 9) = "MOBILE-9 " THEN MID$(a$, 44, 1) = "o"

   PRINT #2, a$

LOOP
CLOSE 1
CLOSE 2


